pub struct Declaration {
    pub version_info: VersionInfo,
    pub encoding_decl: Option<String>,
    pub sd_decl: Option<bool>,
}

#[derive(Clone, Copy)]
pub enum VersionInfo {
    One,
    OneDotOne,
}

impl Declaration {
    pub fn version(version: VersionInfo) -> Self {
        Self {
            version_info: version,
            encoding_decl: None,
            sd_decl: None,
        }
    }
}
